package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;


import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;

import com.fasterxml.jackson.annotation.JsonBackReference;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class KompetensiVOVO
 * 
 * @author Generator
 */
public class KompetensiVO  extends BaseMasterVO{
@ManyToOne
	 @JoinColumn(name = "JenisKompetensiFk")
	 @NotNull(message = "Jenis Kompetensi Harus Diisi")
	 @Caption(value = "Jenis Kompetensi")
	private JenisKompetensiVO jenisKompetensi;
	public JenisKompetensiVO getJenisKompetensi() {
		return jenisKompetensi;
	}
	public void setJenisKompetensi(JenisKompetensiVO jenisKompetensi) {
		this.jenisKompetensi = jenisKompetensi;
	}
	@Column(name = "JenisKompetensiFk", insertable=false,updatable=false)
	private String jenisKompetensiId;

	@Column(name = "Definisi", nullable = false , length = 100)
	 @Caption(value = "Definisi")
	private String definisi ;
	public String getDefinisi() {
		return definisi ;
	}
	public void setDefinisi(String definisi ) {
		this.definisi  = definisi ;
	}

	@Column(name = "NilaiStandard", nullable = false , length = 100)
	 @Caption(value = "NilaiStandard")
	private Integer nilaiStandard ;
	public Integer getNilaiStandard() {
		return nilaiStandard ;
	}
	public void setNilaiStandard(Integer nilaiStandard ) {
		this.nilaiStandard  = nilaiStandard ;
	}

@ManyToOne
	 @JoinColumn(name = "JabatanFk")
	 @NotNull(message = "Jabatan Harus Diisi")
	 @Caption(value = "Jabatan")
	private JabatanVO jabatan;
	public JabatanVO getJabatan() {
		return jabatan;
	}
	public void setJabatan(JabatanVO jabatan) {
		this.jabatan = jabatan;
	}
	@Column(name = "JabatanFk", insertable=false,updatable=false)
	private String jabatanId;


}